# Poco

# class TeeInputStream

Library: Foundation
Package: Streams
Header: Poco/TeeStream.h

## Description

This stream copies all characters read through it to one or multiple output streams.

## Inheritance

Direct Base Classes: TeeIOS, std::istream

All Base Classes: TeeIOS, std::ios, std::istream

## Member Summary

Inherited Functions: addStream, rdbuf

## Constructors

### TeeInputStream

TeeInputStream(
std::istream & istr
);

Creates the TeeInputStream and connects it to the given input stream.

## Destructor

### ~TeeInputStream

~TeeInputStream();

Destroys the TeeInputStream.